class PcDoc extends React.Component
{
  constructor(props)
  {
    super(props);
    this.label = React.createRef();
    this.state = {label:props.label};
  }

  updateTextFile(textFile)
  {
    $.ajax({
      url: textFile,
      type: "GET",
      timeout:120000,
      dataType: "text",
      success: (data)=>{
        this.label.current.updateLabel(data);
      },
      error: (xhr, status, err)=>{
        //
      }
    });
  }

  render()
  {
    return e('div',
      {
        style:
        {
          display: (this.props.active ? 'block' : 'none'),
          position:"absolute",
          fontFamily:PcConfig.scenario.fontFamily,
          left: 0,
          top:0,
          width:"100%",
          height:"100%",
          backgroundColor:"rgba(0, 0, 0, 0.9)",
          }
      },
      e('div',
        {
          style:
            {
              position:"absolute",
              overflow:"auto",
              width:"90%",
              height:"75%",
              top:"10%",
              left:"5%",
              display:"inline-flex",
              justifyContent: "center",
              flexWrap: "wrap",
              alignContent:"center",
            }
        },
        e(PcLabel,
          {
            ref:this.label,
            label:"test",
            valign:"top",
            halign:"left",
            width:"90%",
            fontSize:PcConfig.scenario.fontSizeMedium,
            color: "#ffffff",
            showDelay:"0,1s"
          }
        )
      ),
      e('div',
        {
          style:{width:'100%', height:50*PcConfig.renderSize}
        }
      ),
      e('div',
        {
          style:
            {
              position:"absolute",
              width:"100%",
              height:"15%",
              top:"85%",
              display:"inline-flex",
              justifyContent: "center",
              flexWrap: "wrap",
              alignContent:"center",
            }
        },
        e(PcButton,
          {
            label:"ok",
            onClick:this.props.onClickButton,
            //sound : PcConfig.sounds.button,
            fontColor:"#000000",
            borderColor:"#FFFFFF",
            backgroundColor:"#FFFFFF",
            showDelay:"0.2s"
          }
        )
      )
    );
  }
}
