<?php
define('FILTER', "\"C:\\www\\filter\\ImageFilter.exe\"");
define('INPUTDIR', 'C:/www/scripts/shoot/input');
define('OUTPUTDIR', 'C:/www/scripts/shoot/output');

$size = 650;

$id = uniqid();
$backfile1 = "c:/www/filter/back1.jpg";
$backfile2 = "c:/www/filter/back2.jpg";
$backfile3 = "c:/www/filter/back3.jpg";
$inputfile = INPUTDIR . '/' . $id . '.jpg';
$inputfileresized = INPUTDIR . '/' . $id . '_resized.png';
$outputfile1 = OUTPUTDIR . '/' . $id . '_1.png';
$outputfile2 = OUTPUTDIR . '/' . $id . '_2.png';
$outputfile3 = OUTPUTDIR . '/' . $id . '_3.png';
$url1 = "scripts/shoot/output/$id" . "_1.png";
$url2 = "scripts/shoot/output/$id" . "_2.png";
$url3 = "scripts/shoot/output/$id" . "_3.png";

if(array_key_exists('HTTP_RAW_POST_DATA', $GLOBALS))
{
    $fp = fopen( $inputfile, 'wb' );
    fwrite( $fp, $GLOBALS[ 'HTTP_RAW_POST_DATA' ]);
    fclose( $fp );
}
else
{
    $inputfile =INPUTDIR . '/demo.jpg';
}

$src = imagecreatefromjpeg($inputfile);
$dest = imagecreatetruecolor($size, $size);
imagecopyresampled($dest, $src, 0, 0, 0, 0, $size, $size, 1080, 1080);

imageflip($dest, IMG_FLIP_HORIZONTAL);

imagepng($dest, $inputfileresized);

$files = glob(OUTPUTDIR . '/*');
foreach($files as $file){if(is_file($file)) unlink($file);}

$cmd =  FILTER . " /FileName $inputfileresized /OutPutFileName1 $outputfile1 /OutPutFileName2 $outputfile2 /OutPutFileName3 $outputfile3 /BackFileName1 $backfile1 /BackFileName2 $backfile2 /BackFileName3 $backfile3";
$cmd .= " /MedianFilter 11";
$cmd .= " /Threshold0 99";
$cmd .= " /Threshold1 65";
$cmd .= " /Threshold2 60";
$cmd .= " /Threshold3 50";
$cmd .= " /Threshold4 42";
$cmd .= " /BackgroundColor #278d48";
$cmd .= " /Hue 30";
$cmd .= " /Brigthness 45";
$cmd .= " /Saturnation 30";


exec($cmd, $error);

//if(array_key_exists('HTTP_RAW_POST_DATA', $GLOBALS)) @unlink($inputfile);
//@unlink($inputfileresized);

?>
<xml>
    <image1><?php echo $url2 ?></image1>
    <image2><?php echo $url1 ?></image2>
    <image3><?php echo $url3 ?></image3>
</xml>