class PcCaptureSessionShot
{
  constructor()
  {
    this.frame = [];
  }

  addFrame(data, dataIsCanvas=false)
  {
    this.frame.push(new PcCaptureSessionFrame(data, dataIsCanvas, this.onLoadFrame));
  }

  onLoadFrame()
  {
  }

  filter(filter, index)
  {
    this.frame.forEach(frame => frame.filter(filter, index));
  }

  async framing(framing, faceRatio, centerRatio, frameSize, alert)
  {
    for (let i=0; i<this.frame.length; i++)
    {
      await this.frame[i].framing(framing, faceRatio, centerRatio, frameSize, alert);
    }
  }

  delete()
  {
    this.frame.forEach(frame => frame.delete());
    this.frame.splice(0);
    this.frame = null;
  }
}
