<?php
define('FILTER', "\"C:\\www\\filter\\ImageFilter.exe\"");
define('INPUTDIR', 'C:/www/scripts/shoot/input');
define('OUTPUTDIR', 'C:/www/scripts/shoot/output');

$id = uniqid();
$backfile1 = "c:/www/filter/back1.jpg";
$backfile2 = "c:/www/filter/back2.jpg";
$backfile3 = "c:/www/filter/back3.jpg";

$overlayfile1 = "c:/www/filter/overlay1.jpg";
$overlayfile2 = "c:/www/filter/overlay2.jpg";
$overlayfile3 = "c:/www/filter/overlay3.jpg";

$inputfile = INPUTDIR . '/' . $id . '.jpg';
$inputfileresized = INPUTDIR . '/' . $id . '_resized.png';

$outputfile1 = OUTPUTDIR . '/' . $id . '_1.png';
$outputfile2 = OUTPUTDIR . '/' . $id . '_2.png';
$outputfile3 = OUTPUTDIR . '/' . $id . '_3.png';
$outputfile4 = OUTPUTDIR . '/' . $id . '_4.png';
$outputfile5 = OUTPUTDIR . '/' . $id . '_5.png';
$outputfile6 = OUTPUTDIR . '/' . $id . '_6.png';

$url1 = "scripts/shoot/output/$id" . "_1.png";
$url2 = "scripts/shoot/output/$id" . "_2.png";
$url3 = "scripts/shoot/output/$id" . "_3.png";
$url4 = "scripts/shoot/output/$id" . "_4.png";
$url5 = "scripts/shoot/output/$id" . "_5.png";
$url6 = "scripts/shoot/output/$id" . "_6.png";

if(array_key_exists('HTTP_RAW_POST_DATA', $GLOBALS))
{
    $fp = fopen( $inputfile, 'wb' );
    fwrite( $fp, $GLOBALS[ 'HTTP_RAW_POST_DATA' ]);
    fclose( $fp );
}
else
{
    $inputfile = 'c:/www/filter/demo.jpg';
}

$src = imagecreatefromjpeg($inputfile);
$dest = imagecreatetruecolor(1000, 1000);
imagecopyresampled($dest, $src, 0, 0, 40, 80, 1000, 1000, 1000, 1000);

imagepng($dest, $inputfileresized);

$files = glob(OUTPUTDIR . '/*');
foreach($files as $file){if(is_file($file)) unlink($file);}

$cmd =  FILTER . " /FileName $inputfileresized /OutPutFileName1 $outputfile1 /OutPutFileName2 $outputfile2 /OutPutFileName3 $outputfile3 /OutPutFileName4 $outputfile4 /OutPutFileName5 $outputfile5 /OutPutFileName6 $outputfile6 /BackFileName1 $backfile1 /BackFileName2 $backfile2 /BackFileName3 $backfile3 /OverlayFileName1 $overlayfile1 /OverlayFileName2 $overlayfile2 /OverlayFileName3 $overlayfile3";
$cmd .= " /MedianFilter 11";
$cmd .= " /Threshold0 99";
$cmd .= " /Threshold1 70";
$cmd .= " /Threshold2 60";
$cmd .= " /Threshold3 48";
$cmd .= " /Threshold4 42";
$cmd .= " /Color10 #FFFFFF";
$cmd .= " /Color11 #b4b4b4";
$cmd .= " /Color12 #218d36";
$cmd .= " /Color13 #b4be21";
$cmd .= " /Color14 #0B3A1A";
$cmd .= " /Color20 #FFFFFF";
$cmd .= " /Color21 #b4b4b4";
$cmd .= " /Color22 #c6401c";
$cmd .= " /Color23 #dd8c1e";
$cmd .= " /Color24 #651D04";
$cmd .= " /Color30 #FFFFFF";
$cmd .= " /Color31 #b4b4b4";
$cmd .= " /Color32 #1a275c";
$cmd .= " /Color33 #01629d";
$cmd .= " /Color34 #1C1833";
$cmd .= " /Color4 #2AA942";
$cmd .= " /Color5 #F59B21";
$cmd .= " /Color6 #016DAE";
//$cmd .= " /BackgroundColor #1d924b";
$cmd .= " /BackgroundColor #2da75c";
$cmd .= " /Hue 35";
$cmd .= " /Saturnation 30";
$cmd .= " /Brigthness 45";
$cmd .= " /ApplyEffect2 false";

exec($cmd, $error);

if(array_key_exists('HTTP_RAW_POST_DATA', $GLOBALS)) @unlink($inputfile);
//@unlink($inputfileresized);

?>
<xml>
    <image1><?php echo $url2 ?></image1>
    <image2><?php echo $url1 ?></image2>
    <image3><?php echo $url3 ?></image3>
	<image4><?php echo $url2 ?></image4>
    <image5><?php echo $url1 ?></image5>
    <image6><?php echo $url3 ?></image6>
</xml>